using BinaryDad.AacpsBusAlert.Services;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;

var host = Host.CreateDefaultBuilder(args)
    .ConfigureServices(services =>
    {
        services.AddTransient<BusRouteService>();
        services.AddHttpClient();
    })
    .Build();

var busRouteService = host.Services.GetService<BusRouteService>();

var routes = await busRouteService.GetBusRoutesAsync();

Console.ReadLine();